import { BigNumberish } from '@ethersproject/bignumber';
import { GetBaseNftsForContractOptions, GetBaseNftsForOwnerOptions, GetFloorPriceResponse, GetNftsForContractOptions, GetNftsForOwnerOptions, GetOwnersForContractResponse, GetOwnersForNftResponse, NftContractBaseNftsResponse, NftContractNftsResponse, NftTokenType, OwnedBaseNft, OwnedBaseNftsResponse, OwnedNft, OwnedNftsResponse, RefreshContractResult } from '../types/types';
import { BaseNft, Nft, NftContract } from '../api/nft';
import { AlchemyConfig } from '../api/alchemy-config';
export declare function getNftMetadata(config: AlchemyConfig, contractAddress: string, tokenId: BigNumberish, tokenType?: NftTokenType, tokenUriTimeoutInMs?: number, srcMethod?: string): Promise<Nft>;
export declare function getContractMetadata(config: AlchemyConfig, contractAddress: string, srcMethod?: string): Promise<NftContract>;
export declare function getNftsForOwnerIterator(config: AlchemyConfig, owner: string, options?: GetNftsForOwnerOptions | GetBaseNftsForOwnerOptions, srcMethod?: string): AsyncIterable<OwnedBaseNft | OwnedNft>;
export declare function getNftsForOwner(config: AlchemyConfig, owner: string, options?: GetNftsForOwnerOptions | GetBaseNftsForOwnerOptions, srcMethod?: string): Promise<OwnedNftsResponse | OwnedBaseNftsResponse>;
export declare function getNftsForContract(config: AlchemyConfig, contractAddress: string, options?: GetBaseNftsForContractOptions | GetNftsForContractOptions, srcMethod?: string): Promise<NftContractNftsResponse | NftContractBaseNftsResponse>;
export declare function getNftsForContractIterator(config: AlchemyConfig, contractAddress: string, options?: GetBaseNftsForContractOptions | GetNftsForContractOptions, srcMethod?: string): AsyncIterable<BaseNft | Nft>;
export declare function getOwnersForContract(config: AlchemyConfig, contractAddress: string, srcMethod?: string): Promise<GetOwnersForContractResponse>;
export declare function getOwnersForNft(config: AlchemyConfig, contractAddress: string, tokenId: BigNumberish, srcMethod?: string): Promise<GetOwnersForNftResponse>;
export declare function checkNftOwnership(config: AlchemyConfig, owner: string, contractAddresses: string[], srcMethod?: string): Promise<boolean>;
export declare function isSpamContract(config: AlchemyConfig, contractAddress: string, srcMethod?: string): Promise<boolean>;
export declare function getSpamContracts(config: AlchemyConfig, srcMethod?: string): Promise<string[]>;
export declare function getFloorPrice(config: AlchemyConfig, contractAddress: string, srcMethod?: string): Promise<GetFloorPriceResponse>;
export declare function refreshNftMetadata(config: AlchemyConfig, contractAddress: string, tokenId: BigNumberish, srcMethod?: string): Promise<boolean>;
export declare function refreshContract(config: AlchemyConfig, contractAddress: string, srcMethod?: string): Promise<RefreshContractResult>;
